This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535356 - (RHQ-2060) Autogroup page always shows events tab no matter what
Autogroup page always shows events tab no matter what
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.2
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage rhq4
  Show dependency treegraph
 
Reported: 2009-05-05 09:43 EDT by Lukas Krejci
Modified: 2013-09-02 03:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
rev3903
Last Closed: 2013-09-02 03:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2009-05-05 09:43:00 EDT
Click on an autogroup in the nav tree and you get a page that always contains monitoring and events tabs despite of the fact that the monitoring may be disabled or the autogroup's resource type might not support event collection.
Comment 1 John Mazzitelli 2009-05-05 09:49:57 EDT
I disagree about the the monitor tab - that should always be there, because at the very least, you will ALWAYS have availability data. So an autogroup will always have the "christmas tree" of red and green lights, no matter what. "monitoring may be disabled" is not true for availaiblity - availability data is never disabled.

The event tab could be hidden if the resource type doesn't support events - that I agree with.
Comment 2 Red Hat Bugzilla 2009-11-10 15:56:58 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2060
Comment 3 wes hayutin 2010-02-16 11:54:21 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 11:59:48 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 Sunil Kondkar 2011-06-17 02:57:28 EDT
Verified on build#140 (Version: 4.1.0-SNAPSHOT Build Number: 5905b70)

The Event tab is displayed only in autogroups where resource type supports events (Ex: Apache http servers, JBoss As Servers,).

Marking as verified.
Comment 6 Heiko W. Rupp 2013-09-02 03:18:42 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.